package cGen.eqsat

trait StepObserver extends PEGObserver {
  def onStepOrFinish[ENode <: ENodeT, EClass <: EClassT](graph: EGraphT[ENode, EClass]): Unit

  override def onSaturateStep[ENode <: ENodeT, EClass <: EClassT](graph: EGraphT[ENode, EClass]): Unit = {
    onStepOrFinish(graph)
  }

  override def onFinish[ENode <: ENodeT, EClass <: EClassT](graph: EGraphT[ENode, EClass]): Unit = {
    onStepOrFinish(graph)
  }
}
