package cGen.eqsat.explain

import cGen.CGenExpr
import core.{Expr, Type}

case class AnnotationExpr(override val innerIR: Expr, annotation: String, annotationArgs: Seq[Expr]) extends CGenExpr {
  override protected def cgenBuild(newInnerIR: Expr, newTypes: Seq[Type]): CGenExpr = ???
  override protected def argsBuild(args: Seq[Expr]): CGenExpr = ???
  override def types: Seq[Type] = ???
}

object Annotation {
  def apply(annotation: String, args: Seq[Expr]): AnnotationExpr = AnnotationExpr(args.last, annotation, args)

  def unapply(expr: AnnotationExpr): Some[(String, Seq[Expr])] = Some(expr.annotation, expr.annotationArgs)
}
